/* 
 * TCS Alignment Toolbox
 * 
 * Copyright (C) 2013, 2014
 * Benjamin Paaßen, Charlie Krüger, Georg Zentgraf
 * AG Theoretical Computer Science
 * Centre of Excellence Cognitive Interaction Technology (CITEC)
 * University of Bielefeld
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * This package contains the definition of input Sequences for
 * AlignmentAlgorithms.
 *
 * Architecturally we have the data structures holding information as well as
 * specifications that define which kinds of information are permitted.
 *
 * Please refer to:
 * <ul><li>Sequence</li>
 * <li>Node</li>
 * <li>Value</li></ul>
 * for the data structures and to
 * <ul><li>KeywordSpecification</li>
 * <li>NodeSpecification</li></ul>
 * for the Specification classes.
 *
 * @author Benjamin Paassen - bpaassen@techfak.uni-bielefeld.de
 */
package de.unibi.citec.tcs.alignment.sequence;
